//
//  GMBaseObject.swift
//  GengmeiDoctor
//
//  Created by Thierry on 16/4/21.
//  Copyright © 2016年 wanmeizhensuo. All rights reserved.
//

import Foundation
import EVReflection

open class GMBaseObject: EVObject {

    /**
     Override super setValue method, ignore warning

     - parameter value:
     - parameter key:
     */
    override open func setValue(_ value: Any!, forUndefinedKey key: String) {}

    override open func propertyMapping() -> [(keyInObject: String?, keyInResource: String?)] {
        return [("desc", "description")]
    }
}
